Bug 60781 - [maintainer]jakarta-tomcat5:Fix wrong PID_FILE in
Summary: [maintainer]jakarta-tomcat5:Fix wrong PID_FILE in
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-01 14:10 UTC by Kang Liu
Modified: 2004-01-02 12:31 UTC (History)
0 users

See Also:


Attachments
file.diff (572 bytes, patch)
2004-01-01 14:10 UTC, Kang Liu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kang Liu 2004-01-01 14:10:11 UTC
The "PID_FILE" in pkg-deinstall is set as tomcat4.pid, which is not
correct.
If run "make deinstall" when the jakarta-tomcat4 is running,
the process of tomcat4 would be killed unexpectedly.

How-To-Repeat: run "make deinstall" in ports/www/jakarta-tomcat5 when tomcat4 is
running.
Comment 1 Kang Liu 2004-01-01 14:17:21 UTC
I think jakarta-tomcat41 has the same problem.
Here is the patch:

Index: pkg-deinstall
===================================================================
RCS file: /home/ncvs/ports/www/jakarta-tomcat41/pkg-deinstall,v
retrieving revision 1.4
diff -u -r1.4 pkg-deinstall
--- pkg-deinstall	1 Apr 2002 22:01:22 -0000	1.4
+++ pkg-deinstall	1 Jan 2004 14:15:06 -0000
@@ -15,7 +15,7 @@
 if [ "$2" = "DEINSTALL" ]; then
 
 	# Kill the process if it is still running
-	PID_FILE=/var/run/tomcat4.pid
+	PID_FILE=/var/run/tomcat41.pid
 	if [ -s ${PID_FILE} ]; then
 		PID=`cat ${PID_FILE}`
 		echo -n ">> Killing Jakarta Tomcat process (${PID})..."
Comment 2 Ernst de Haan freebsd_committer 2004-01-02 11:59:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->znerd

I'll handle this.
Comment 3 Ernst de Haan freebsd_committer 2004-01-02 12:24:06 UTC
State Changed
From-To: open->feedback

This update breaks the port: 

===>   Generating temporary packing list 
** Missing package files for jdk-doc-1.4.2. 
*** Error code 1
Comment 4 Ernst de Haan freebsd_committer 2004-01-02 12:26:11 UTC
State Changed
From-To: feedback->open

Last change in state was on the wrong PR.
Comment 5 Ernst de Haan freebsd_committer 2004-01-02 12:31:12 UTC
State Changed
From-To: open->closed

Fix committed to both ports, thanks!